CentOS php - configure: error: Cannot find OpenSSL's evp.h


Материал из Wiki - Iphoster - 'the best ever hosting and support

Перейти к: навигация, поиск

Самые выгодные сервера? в рунете


CentOS php - configure: error: Cannot find OpenSSL's evp.h

Ошибка:

checking whether libxml build works... yes
checking for OpenSSL support... yes
checking for Kerberos support... yes
checking for krb5-config... no
checking for DSA_get_default_method in -lssl... no
checking for X509_free in -lcrypto... no
checking for pkg-config... /usr/bin/pkg-config
configure: error: Cannot find OpenSSL's <evp.h>


Решение - доустановить openssl-devel:

# yum install openssl-devel.x86_64


Проверить чтобы были:

# rpm -qa | grep openssl
openssl-devel-1.0.1e-42.el6_7.2.x86_64
openssl-1.0.1e-42.el6_7.2.x86_64
# rpm -qa | grep libcurl
libcurl-7.19.7-46.el6.x86_64
libcurl-devel-7.19.7-46.el6.x86_64
Индекс цитирования